version = 2
final_space = true

[[blocks]]
    type = "prompt"
    alignment = "left"

    [[blocks.segments]]
        type = "text"
        style = "plain"
        background = "transparent"
        foreground = "magenta"
        template = "{{ .UserName }}@{{ .HostName }}:"

    [[blocks.segments]]
        type = "text"
        style = "plain"
        background = "transparent"
        foreground = "blue"
        template = "{{ .PWD }}"

    [[blocks.segments]]
        type = "text"
        style = "plain"
        background = "transparent"
        foreground_templates = [
            "{{if gt .Code 0}}red{{end}}",
            "{{if eq .Code 0}}cyan{{end}}",
        ]
        template = " λ"

[transient_prompt]
    foreground = "magenta"
    background = "transparent"
    template = "λ "

